"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ColumnContainer = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const ColumnContainer = _styledComponents.default.div`
  --childrens-xs: ${({
  size
}) => Math.round(100 / size.xs.replace('%', ''))};
  --childrens-sm: ${({
  size
}) => Math.round(100 / size.sm.replace('%', ''))};
  --childrens-md: ${({
  size
}) => Math.round(100 / size.md.replace('%', ''))};
  --childrens-lg: ${({
  size
}) => Math.round(100 / size.lg.replace('%', ''))};

  width: ${({
  size,
  theme
}) => size.xs !== '100%' ? `calc(${size.xs} - (${theme.tokens.flexbox.XS} * (var(--childrens-xs) - 1)) / var(--childrens-xs))` : '100%'};

  @media only screen and (min-width: 413px) and (max-width: 1439px) {
    width: ${({
  size,
  theme
}) => size.sm !== '100%' ? `calc(${size.sm} - (${theme.tokens.flexbox.S} * (var(--childrens-sm) - 1)) / var(--childrens-sm))` : '100%'};
  }

  @media only screen and (min-width: 1440px) and (max-width: 1599px) {
    width: ${({
  size,
  theme
}) => size.md !== '100%' ? `calc(${size.md} - (${theme.tokens.flexbox.M} * (var(--childrens-md) - 1)) / var(--childrens-md))` : '100%'};
  }

  @media only screen and (min-width: 1600px) {
    width: ${({
  size,
  theme
}) => size.lg !== '100%' ? `calc(${size.lg} - (${theme.tokens.flexbox.M} * (var(--childrens-lg) - 1)) / var(--childrens-lg))` : '100%'};
  }
`;
exports.ColumnContainer = ColumnContainer;